Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007207OCamltypingpublic2016-04-01 15:502017-09-24 17:32
Reporterstedolan 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.03.0+dev / +beta1 
Summary0007207: Wrong error message for unbound module in 4.03+beta1
DescriptionIf I write the following incorrect program:

    module F (X : sig end) = struct type t = int end
    type t = F(Does_not_exist).t

then 4.02.1 gives me a sensible error message:

    File "moderror.ml", line 2, characters 9-28:
    Error: Unbound module Does_not_exist

but 4.03+beta1 and trunk do not:

    Cannot find file /home/stephen/coding/moderror.ml.

Running ocamlc -i crashes with Not_found.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0015659)
garrigue (manager)
2016-04-02 11:48

Fixed in 4.03 by commit 6a45fef.

Just a bad line order...

- Issue History
Date Modified Username Field Change
2016-04-01 15:50 stedolan New Issue
2016-04-02 11:48 garrigue Note Added: 0015659
2016-04-02 11:48 garrigue Status new => resolved
2016-04-02 11:48 garrigue Fixed in Version => 4.03.0+dev / +beta1
2016-04-02 11:48 garrigue Resolution open => fixed
2016-04-02 11:48 garrigue Assigned To => garrigue
2017-02-23 16:45 doligez Category OCaml typing => typing
2017-09-24 17:32 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker